Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I tried to to recompile network manager in this way but did not succeeded.

Can you explain me how can I install wimax tools? Or tell me what is wrong with my installation?

I installed wimax tools successfully from this source, but when I am trying to compile network manager I get this error:

...
checking for QT... no
checking for LIBNL1... no
checking for LIBNL2... no
checking for LIBNL3... yes
checking for UUID... yes
checking for IWMX_SDK... no
configure: error: Intel WiMAX SDK is required
share|improve this question
1  
You may have to point configure to the headers? ./configure --wimax=/usr/local/wimax or wherever the headers are located. Try ./configure --help | less to glean the correct switch. Also, if wimax libs are installed in a non-default location, you may have to configure the ld path and run ldconfig. The basic meaning of the error is that configure cannot locate the software it needs to compile. –  user8290 Feb 11 '12 at 19:57

1 Answer 1

It would appear that WiMAX support in network-manager is written against some specific SDK from Intel, which they seem to have dropped the ball on, as I can't seem to find a link to download it anywhere, and linuxwimax.org is dead. In order to compile network-manager against wimax-tools instead, it would need some work to look for that library, and match the API it uses.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.